ur_rna.RNAstructureUI

## Class RNAstructureBackendCalculator

- java.lang.Object
- - ur_rna.RNAstructureUI.RNAstructureBackendCalculator

-     public class RNAstructureBackendCalculator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RNAstructureBackendCalculator()`
    `protected` | `RNAstructureBackendCalculator(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateMultilign()`
    `void` | `activateTurboFold()`
    `void` | `addMultilignTuple(java.lang.String seqFile, java.lang.String ctFile)`
    `void` | `addTurboFoldTuple(java.lang.String seqFile, java.lang.String ctFile)`
    `void` | `addTurboFoldTuple(java.lang.String seqFile, java.lang.String ctFile, java.lang.String pfsFile)`
    `java.lang.String` | `buildAccessFoldDataStructure(java.lang.String file1, java.lang.String file2, boolean isRNA)`
    `java.lang.String` | `buildAllSubDataStructure(java.lang.String file, boolean isRNA)`
    `java.lang.String` | `buildBifoldDataStructure(java.lang.String file1, java.lang.String file2, boolean isRNA)`
    `java.lang.String` | `buildBipartitionDataStructure(java.lang.String file1, java.lang.String file2, boolean isRNA)`
    `java.lang.String` | `buildDuplexFoldDataStructure(java.lang.String file1, java.lang.String file2, boolean isRNA)`
    `java.lang.String` | `buildDynalignDataStructure(java.lang.String file1, java.lang.String file2, boolean isRNA)`
    `java.lang.String` | `buildEfn2DataStructure(java.lang.String file, boolean isRNA)`
    `java.lang.String` | `buildFoldDataStructure(java.lang.String file, boolean isRNA)`
    `java.lang.String` | `buildMaxExpectDataStructure(java.lang.String file)`
    `java.lang.String` | `buildOligoScreenDataStructure()`
    `java.lang.String` | `buildOligoWalkDataStructure(java.lang.String file, boolean isRNA)`
    `java.lang.String` | `buildPartitionDataStructure(java.lang.String file, boolean isRNA)`
    `java.lang.String` | `buildProbKnotDataStructure(java.lang.String file)`
    `java.lang.String` | `buildRefoldDynalignDataStructure(java.lang.String file)`
    `java.lang.String` | `buildRefoldSingleDataStructure(java.lang.String file)`
    `java.lang.String` | `buildRemovePseudoknotsDataStructure(java.lang.String file, boolean isRNA)`
    `java.lang.String` | `buildStochasticDataStructure(java.lang.String file)`
    `void` | `cancelOperation()`
    `boolean` | `canFoldOligoOligo(int index)`
    `boolean` | `canFoldOligoSelf(int index)`
    `void` | `clearDynalignAlignmentConstraints()`
    `void` | `clearFoldingConstraints(int strand)`
    `void` | `delete()`
    `void` | `deleteMultilignTuple(long index)`
    `void` | `deleteTurboFoldTuple(long index)`
    `int` | `determineOligoMaximum(int length)`
    `protected void` | `finalize()`
    `void` | `foldOligo(java.lang.String sequence, int index, boolean bimolecular, boolean isRNA, java.lang.String file)`
    `java.lang.String` | `getAllOligoData(int height)`
    `protected static long` | `getCPtr(RNAstructureBackendCalculator obj)`
    `java.lang.String` | `getDisplayedOligo(int index)`
    `java.lang.String` | `getDynalignAlignmentConstraints()`
    `int` | `getDynalignAlignmentWindowSize()`
    `int` | `getDynalignStructureWindowSize()`
    `static java.lang.String` | `getEnvVar(java.lang.String varname)`
    `int` | `GetErrorCode()`
    `java.lang.String` | `getFoldingConstraints(int strand)`
    `int` | `getFoldWindowSize()`
    `java.lang.String` | `GetFullErrorMessage()`
    `int` | `getGraphRegionBegin()`
    `int` | `getGraphRegionEnd()`
    `int` | `getMaxConstraintIndex(int strand)`
    `int` | `getMaxLoop()`
    `int` | `getMaxPair()`
    `int` | `getMostStableOligo()`
    `java.lang.String` | `getMultilignCT(int index)`
    `int` | `getMultilignMaxPairs()`
    `java.lang.String` | `getMultilignSequenceSetData()`
    `int` | `getNumMultilignSequences()`
    `int` | `getNumTurboFoldSequences()`
    `java.lang.String` | `getOligoLabelData(int index)`
    `int` | `getOligoTargetLength()`
    `java.lang.String` | `getOligoTargetSequence()`
    `int` | `getProgressNumber()`
    `int` | `getRefoldWindowSize()`
    `java.lang.String` | `getSaveFile()`
    `java.lang.String` | `getSequenceComment()`
    `java.lang.String` | `getSequenceData()`
    `java.lang.String` | `getSequenceTitle()`
    `java.lang.String` | `getStructureType()`
    `double` | `getSuboptimalAbsoluteDiff()`
    `float` | `getSuboptimalPercentDiff()`
    `double` | `getTemperature()`
    `java.lang.String` | `getTurboFoldCT(int index)`
    `java.lang.String` | `getTurboFoldSaveFile(int index)`
    `java.lang.String` | `getTurboFoldSequenceSetData()`
    `static java.lang.String` | `getVersion()`
    `java.lang.String` | `loadDoubleRNA(java.lang.String file1, java.lang.String file2, boolean isRNA)`
    `java.lang.String` | `loadDoubleRNA(java.lang.String file1, java.lang.String file2, boolean isRNA, int fileType)`
    `java.lang.String` | `loadSingleRNA(java.lang.String file1, boolean isRNA)`
    `java.lang.String` | `loadSingleRNA(java.lang.String file1, boolean isRNA, int fileType)`
    `java.lang.String` | `readDynalignAlignmentConstraintsFile(java.lang.String file)`
    `java.lang.String` | `readFoldingConstraintsFile(java.lang.String file, int strand)`
    `void` | `readSequenceData(java.lang.String file)`
    `java.lang.String` | `runAccessFold(java.lang.String ctFile, float percent, int maxStructures, double gamma, int windowSize, boolean saveFile)`
    `java.lang.String` | `runAllSub(java.lang.String ct, float percent, double absolute)`
    `java.lang.String` | `runBifold(java.lang.String ctFile, float percent, int maxStructures, int windowSize, boolean saveFile, boolean intraForbidden)`
    `java.lang.String` | `runBipartition(java.lang.String pfsFile)`
    `java.lang.String` | `runDuplexFold(java.lang.String ctFile, float percent, int maxStructures, int windowSize, boolean saveFile)`
    `java.lang.String` | `runDynalign(java.lang.String ctFile1, java.lang.String ctFile2, java.lang.String saveFile, java.lang.String alignFile, double percent, int structures, int windowStr, int windowAli, float gap, boolean isInsert)`
    `java.lang.String` | `runDynalignRefold(java.lang.String ctFile1, java.lang.String ctFile2, java.lang.String alignFile, int percent, int structures, int windowStr, int windowAli)`
    `java.lang.String` | `runEfn2(java.lang.String outFile, boolean writeDetails)`
    `java.lang.String` | `runFold(java.lang.String ctFile, int percent, int structures, int window, boolean save)`
    `java.lang.String` | `runMaxExpect(java.lang.String ctFile, double score, int structures, int window, double gamma)`
    `java.lang.String` | `runMultilign(int percent, int maxStructures, int bpWindow, int alignWindow, double gap, boolean insert, double maxDsvChange, int maxPairs, int cycles, java.lang.String alignFile, boolean saveFiles, boolean isRNA)`
    `java.lang.String` | `runOligoScreen(java.lang.String in, java.lang.String out, boolean isRNA)`
    `java.lang.String` | `runOligoWalk(java.lang.String report, int mode, java.lang.String chemistry, boolean suboptimal, int length, int amount, java.lang.String unit, int start, int stop)`
    `java.lang.String` | `runPartition(java.lang.String pfsFile)`
    `java.lang.String` | `runPseudoknotPrediction(java.lang.String ctFile, int iterations, int helix)`
    `java.lang.String` | `runPseudoknotRemoval(java.lang.String ctFile, boolean minimize)`
    `java.lang.String` | `runRefold(java.lang.String ctFile, int percent, int structures, int window)`
    `java.lang.String` | `runStochastic(java.lang.String outFile, int ensemble, int seed)`
    `java.lang.String` | `runTurboFoldMaximumExpectedAccuracy(double turboGamma, int turboIterations, double percent, int structures, int window, double meaGamma)`
    `java.lang.String` | `runTurboFoldMaximumExpectedAccuracy(double turboGamma, int turboIterations, double percent, int structures, int window, double meaGamma, java.lang.String outAlnFile)`
    `java.lang.String` | `runTurboFoldPseudoknot(double turboGamma, int turboIterations, int pkIterations, int helix)`
    `java.lang.String` | `runTurboFoldPseudoknot(double turboGamma, int turboIterations, int pkIterations, int helix, java.lang.String outAlnFile)`
    `java.lang.String` | `runTurboFoldThreshold(double turboGamma, int turboIterations, double threshold)`
    `java.lang.String` | `runTurboFoldThreshold(double turboGamma, int turboIterations, double threshold, java.lang.String outAlnFile)`
    `java.lang.String` | `setCleavedNucleotide(int nuc, int strand)`
    `java.lang.String` | `setDoubleStrandedNucleotide(int nuc, int strand)`
    `java.lang.String` | `setDynalignAlignmentConstraint(int nuc1, int nuc2)`
    `static int` | `setEnvVar(java.lang.String envstr)`
    `java.lang.String` | `setForcedHelix(int nuc1, int nuc2, int length, int strand)`
    `void` | `setMaxLoop(int newLoop)`
    `void` | `setMaxPair(int newPair)`
    `java.lang.String` | `setModifiedNucleotide(int nuc, int strand)`
    `java.lang.String` | `setProhibitedHelix(int nuc1, int nuc2, int length, int strand)`
    `void` | `setSaveFile(java.lang.String path)`
    `void` | `setSequenceComment(java.lang.String comment)`
    `void` | `setSequenceData(java.lang.String data)`
    `void` | `setSequenceTitle(java.lang.String title)`
    `void` | `setSHAPEFile(java.lang.String file)`
    `void` | `setSHAPEParam1(double value)`
    `void` | `setSHAPEParam2(double value)`
    `void` | `setSHAPEType(boolean isEnergy)`
    `java.lang.String` | `setSingleStrandedNucleotide(int nuc, int strand)`
    `void` | `setTemperature(double newTemp)`
    `boolean` | `wasCanceled()`
    `void` | `writeDynalignAlignmentConstraintsFile(java.lang.String file)`
    `java.lang.String` | `writeFastaFile(java.lang.String file)`
    `java.lang.String` | `writeFoldingConstraintsFile(java.lang.String file, int strand)`
    `java.lang.String` | `writeSequenceFile(java.lang.String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### RNAstructureBackendCalculator

          public RNAstructureBackendCalculator()

    - #### RNAstructureBackendCalculator

          protected RNAstructureBackendCalculator(long cPtr,
                                                  boolean cMemoryOwn)

  - ### Method Detail

    - #### activateMultilign

          public void activateMultilign()

    - #### activateTurboFold

          public void activateTurboFold()

    - #### addMultilignTuple

          public void addMultilignTuple(java.lang.String seqFile,
                                        java.lang.String ctFile)

    - #### addTurboFoldTuple

          public void addTurboFoldTuple(java.lang.String seqFile,
                                        java.lang.String ctFile)

    - #### addTurboFoldTuple

          public void addTurboFoldTuple(java.lang.String seqFile,
                                        java.lang.String ctFile,
                                        java.lang.String pfsFile)

    - #### buildAccessFoldDataStructure

          public java.lang.String buildAccessFoldDataStructure(java.lang.String file1,
                                                               java.lang.String file2,
                                                               boolean isRNA)

    - #### buildAllSubDataStructure

          public java.lang.String buildAllSubDataStructure(java.lang.String file,
                                                           boolean isRNA)

    - #### buildBifoldDataStructure

          public java.lang.String buildBifoldDataStructure(java.lang.String file1,
                                                           java.lang.String file2,
                                                           boolean isRNA)

    - #### buildBipartitionDataStructure

          public java.lang.String buildBipartitionDataStructure(java.lang.String file1,
                                                                java.lang.String file2,
                                                                boolean isRNA)

    - #### buildDuplexFoldDataStructure

          public java.lang.String buildDuplexFoldDataStructure(java.lang.String file1,
                                                               java.lang.String file2,
                                                               boolean isRNA)

    - #### buildDynalignDataStructure

          public java.lang.String buildDynalignDataStructure(java.lang.String file1,
                                                             java.lang.String file2,
                                                             boolean isRNA)

    - #### buildEfn2DataStructure

          public java.lang.String buildEfn2DataStructure(java.lang.String file,
                                                         boolean isRNA)

    - #### buildFoldDataStructure

          public java.lang.String buildFoldDataStructure(java.lang.String file,
                                                         boolean isRNA)

    - #### buildMaxExpectDataStructure

          public java.lang.String buildMaxExpectDataStructure(java.lang.String file)

    - #### buildOligoScreenDataStructure

          public java.lang.String buildOligoScreenDataStructure()

    - #### buildOligoWalkDataStructure

          public java.lang.String buildOligoWalkDataStructure(java.lang.String file,
                                                              boolean isRNA)

    - #### buildPartitionDataStructure

          public java.lang.String buildPartitionDataStructure(java.lang.String file,
                                                              boolean isRNA)

    - #### buildProbKnotDataStructure

          public java.lang.String buildProbKnotDataStructure(java.lang.String file)

    - #### buildRefoldDynalignDataStructure

          public java.lang.String buildRefoldDynalignDataStructure(java.lang.String file)

    - #### buildRefoldSingleDataStructure

          public java.lang.String buildRefoldSingleDataStructure(java.lang.String file)

    - #### buildRemovePseudoknotsDataStructure

          public java.lang.String buildRemovePseudoknotsDataStructure(java.lang.String file,
                                                                      boolean isRNA)

    - #### buildStochasticDataStructure

          public java.lang.String buildStochasticDataStructure(java.lang.String file)

    - #### cancelOperation

          public void cancelOperation()

    - #### canFoldOligoOligo

          public boolean canFoldOligoOligo(int index)

    - #### canFoldOligoSelf

          public boolean canFoldOligoSelf(int index)

    - #### clearDynalignAlignmentConstraints

          public void clearDynalignAlignmentConstraints()

    - #### clearFoldingConstraints

          public void clearFoldingConstraints(int strand)

    - #### delete

          public void delete()

    - #### deleteMultilignTuple

          public void deleteMultilignTuple(long index)

    - #### deleteTurboFoldTuple

          public void deleteTurboFoldTuple(long index)

    - #### determineOligoMaximum

          public int determineOligoMaximum(int length)

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### foldOligo

          public void foldOligo(java.lang.String sequence,
                                int index,
                                boolean bimolecular,
                                boolean isRNA,
                                java.lang.String file)

    - #### getAllOligoData

          public java.lang.String getAllOligoData(int height)

    - #### getCPtr

          protected static long getCPtr(RNAstructureBackendCalculator obj)

    - #### getDisplayedOligo

          public java.lang.String getDisplayedOligo(int index)

    - #### getDynalignAlignmentConstraints

          public java.lang.String getDynalignAlignmentConstraints()

    - #### getDynalignAlignmentWindowSize

          public int getDynalignAlignmentWindowSize()

    - #### getDynalignStructureWindowSize

          public int getDynalignStructureWindowSize()

    - #### getEnvVar

          public static java.lang.String getEnvVar(java.lang.String varname)

    - #### GetErrorCode

          public int GetErrorCode()

    - #### getFoldingConstraints

          public java.lang.String getFoldingConstraints(int strand)

    - #### getFoldWindowSize

          public int getFoldWindowSize()

    - #### GetFullErrorMessage

          public java.lang.String GetFullErrorMessage()

    - #### getGraphRegionBegin

          public int getGraphRegionBegin()

    - #### getGraphRegionEnd

          public int getGraphRegionEnd()

    - #### getMaxConstraintIndex

          public int getMaxConstraintIndex(int strand)

    - #### getMaxLoop

          public int getMaxLoop()

    - #### getMaxPair

          public int getMaxPair()

    - #### getMostStableOligo

          public int getMostStableOligo()

    - #### getMultilignCT

          public java.lang.String getMultilignCT(int index)

    - #### getMultilignMaxPairs

          public int getMultilignMaxPairs()

    - #### getMultilignSequenceSetData

          public java.lang.String getMultilignSequenceSetData()

    - #### getNumMultilignSequences

          public int getNumMultilignSequences()

    - #### getNumTurboFoldSequences

          public int getNumTurboFoldSequences()

    - #### getOligoLabelData

          public java.lang.String getOligoLabelData(int index)

    - #### getOligoTargetLength

          public int getOligoTargetLength()

    - #### getOligoTargetSequence

          public java.lang.String getOligoTargetSequence()

    - #### getProgressNumber

          public int getProgressNumber()

    - #### getRefoldWindowSize

          public int getRefoldWindowSize()

    - #### getSaveFile

          public java.lang.String getSaveFile()

    - #### getSequenceComment

          public java.lang.String getSequenceComment()

    - #### getSequenceData

          public java.lang.String getSequenceData()

    - #### getSequenceTitle

          public java.lang.String getSequenceTitle()

    - #### getStructureType

          public java.lang.String getStructureType()

    - #### getSuboptimalAbsoluteDiff

          public double getSuboptimalAbsoluteDiff()

    - #### getSuboptimalPercentDiff

          public float getSuboptimalPercentDiff()

    - #### getTemperature

          public double getTemperature()

    - #### getTurboFoldCT

          public java.lang.String getTurboFoldCT(int index)

    - #### getTurboFoldSaveFile

          public java.lang.String getTurboFoldSaveFile(int index)

    - #### getTurboFoldSequenceSetData

          public java.lang.String getTurboFoldSequenceSetData()

    - #### getVersion

          public static java.lang.String getVersion()

    - #### loadDoubleRNA

          public java.lang.String loadDoubleRNA(java.lang.String file1,
                                                java.lang.String file2,
                                                boolean isRNA)

    - #### loadDoubleRNA

          public java.lang.String loadDoubleRNA(java.lang.String file1,
                                                java.lang.String file2,
                                                boolean isRNA,
                                                int fileType)

    - #### loadSingleRNA

          public java.lang.String loadSingleRNA(java.lang.String file1,
                                                boolean isRNA)

    - #### loadSingleRNA

          public java.lang.String loadSingleRNA(java.lang.String file1,
                                                boolean isRNA,
                                                int fileType)

    - #### readDynalignAlignmentConstraintsFile

          public java.lang.String readDynalignAlignmentConstraintsFile(java.lang.String file)

    - #### readFoldingConstraintsFile

          public java.lang.String readFoldingConstraintsFile(java.lang.String file,
                                                             int strand)

    - #### readSequenceData

          public void readSequenceData(java.lang.String file)

    - #### runAccessFold

          public java.lang.String runAccessFold(java.lang.String ctFile,
                                                float percent,
                                                int maxStructures,
                                                double gamma,
                                                int windowSize,
                                                boolean saveFile)

    - #### runAllSub

          public java.lang.String runAllSub(java.lang.String ct,
                                            float percent,
                                            double absolute)

    - #### runBifold

          public java.lang.String runBifold(java.lang.String ctFile,
                                            float percent,
                                            int maxStructures,
                                            int windowSize,
                                            boolean saveFile,
                                            boolean intraForbidden)

    - #### runBipartition

          public java.lang.String runBipartition(java.lang.String pfsFile)

    - #### runDuplexFold

          public java.lang.String runDuplexFold(java.lang.String ctFile,
                                                float percent,
                                                int maxStructures,
                                                int windowSize,
                                                boolean saveFile)

    - #### runDynalign

          public java.lang.String runDynalign(java.lang.String ctFile1,
                                              java.lang.String ctFile2,
                                              java.lang.String saveFile,
                                              java.lang.String alignFile,
                                              double percent,
                                              int structures,
                                              int windowStr,
                                              int windowAli,
                                              float gap,
                                              boolean isInsert)

    - #### runDynalignRefold

          public java.lang.String runDynalignRefold(java.lang.String ctFile1,
                                                    java.lang.String ctFile2,
                                                    java.lang.String alignFile,
                                                    int percent,
                                                    int structures,
                                                    int windowStr,
                                                    int windowAli)

    - #### runEfn2

          public java.lang.String runEfn2(java.lang.String outFile,
                                          boolean writeDetails)

    - #### runFold

          public java.lang.String runFold(java.lang.String ctFile,
                                          int percent,
                                          int structures,
                                          int window,
                                          boolean save)

    - #### runMaxExpect

          public java.lang.String runMaxExpect(java.lang.String ctFile,
                                               double score,
                                               int structures,
                                               int window,
                                               double gamma)

    - #### runMultilign

          public java.lang.String runMultilign(int percent,
                                               int maxStructures,
                                               int bpWindow,
                                               int alignWindow,
                                               double gap,
                                               boolean insert,
                                               double maxDsvChange,
                                               int maxPairs,
                                               int cycles,
                                               java.lang.String alignFile,
                                               boolean saveFiles,
                                               boolean isRNA)

    - #### runOligoScreen

          public java.lang.String runOligoScreen(java.lang.String in,
                                                 java.lang.String out,
                                                 boolean isRNA)

    - #### runOligoWalk

          public java.lang.String runOligoWalk(java.lang.String report,
                                               int mode,
                                               java.lang.String chemistry,
                                               boolean suboptimal,
                                               int length,
                                               int amount,
                                               java.lang.String unit,
                                               int start,
                                               int stop)

    - #### runPartition

          public java.lang.String runPartition(java.lang.String pfsFile)

    - #### runPseudoknotPrediction

          public java.lang.String runPseudoknotPrediction(java.lang.String ctFile,
                                                          int iterations,
                                                          int helix)

    - #### runPseudoknotRemoval

          public java.lang.String runPseudoknotRemoval(java.lang.String ctFile,
                                                       boolean minimize)

    - #### runRefold

          public java.lang.String runRefold(java.lang.String ctFile,
                                            int percent,
                                            int structures,
                                            int window)

    - #### runStochastic

          public java.lang.String runStochastic(java.lang.String outFile,
                                                int ensemble,
                                                int seed)

    - #### runTurboFoldMaximumExpectedAccuracy

          public java.lang.String runTurboFoldMaximumExpectedAccuracy(double turboGamma,
                                                                      int turboIterations,
                                                                      double percent,
                                                                      int structures,
                                                                      int window,
                                                                      double meaGamma)

    - #### runTurboFoldMaximumExpectedAccuracy

          public java.lang.String runTurboFoldMaximumExpectedAccuracy(double turboGamma,
                                                                      int turboIterations,
                                                                      double percent,
                                                                      int structures,
                                                                      int window,
                                                                      double meaGamma,
                                                                      java.lang.String outAlnFile)

    - #### runTurboFoldPseudoknot

          public java.lang.String runTurboFoldPseudoknot(double turboGamma,
                                                         int turboIterations,
                                                         int pkIterations,
                                                         int helix)

    - #### runTurboFoldPseudoknot

          public java.lang.String runTurboFoldPseudoknot(double turboGamma,
                                                         int turboIterations,
                                                         int pkIterations,
                                                         int helix,
                                                         java.lang.String outAlnFile)

    - #### runTurboFoldThreshold

          public java.lang.String runTurboFoldThreshold(double turboGamma,
                                                        int turboIterations,
                                                        double threshold)

    - #### runTurboFoldThreshold

          public java.lang.String runTurboFoldThreshold(double turboGamma,
                                                        int turboIterations,
                                                        double threshold,
                                                        java.lang.String outAlnFile)

    - #### setCleavedNucleotide

          public java.lang.String setCleavedNucleotide(int nuc,
                                                       int strand)

    - #### setDoubleStrandedNucleotide

          public java.lang.String setDoubleStrandedNucleotide(int nuc,
                                                              int strand)

    - #### setDynalignAlignmentConstraint

          public java.lang.String setDynalignAlignmentConstraint(int nuc1,
                                                                 int nuc2)

    - #### setEnvVar

          public static int setEnvVar(java.lang.String envstr)

    - #### setForcedHelix

          public java.lang.String setForcedHelix(int nuc1,
                                                 int nuc2,
                                                 int length,
                                                 int strand)

    - #### setMaxLoop

          public void setMaxLoop(int newLoop)

    - #### setMaxPair

          public void setMaxPair(int newPair)

    - #### setModifiedNucleotide

          public java.lang.String setModifiedNucleotide(int nuc,
                                                        int strand)

    - #### setProhibitedHelix

          public java.lang.String setProhibitedHelix(int nuc1,
                                                     int nuc2,
                                                     int length,
                                                     int strand)

    - #### setSaveFile

          public void setSaveFile(java.lang.String path)

    - #### setSequenceComment

          public void setSequenceComment(java.lang.String comment)

    - #### setSequenceData

          public void setSequenceData(java.lang.String data)

    - #### setSequenceTitle

          public void setSequenceTitle(java.lang.String title)

    - #### setSHAPEFile

          public void setSHAPEFile(java.lang.String file)

    - #### setSHAPEParam1

          public void setSHAPEParam1(double value)

    - #### setSHAPEParam2

          public void setSHAPEParam2(double value)

    - #### setSHAPEType

          public void setSHAPEType(boolean isEnergy)

    - #### setSingleStrandedNucleotide

          public java.lang.String setSingleStrandedNucleotide(int nuc,
                                                              int strand)

    - #### setTemperature

          public void setTemperature(double newTemp)

    - #### wasCanceled

          public boolean wasCanceled()

    - #### writeDynalignAlignmentConstraintsFile

          public void writeDynalignAlignmentConstraintsFile(java.lang.String file)

    - #### writeFastaFile

          public java.lang.String writeFastaFile(java.lang.String file)

    - #### writeFoldingConstraintsFile

          public java.lang.String writeFoldingConstraintsFile(java.lang.String file,
                                                              int strand)

    - #### writeSequenceFile

          public java.lang.String writeSequenceFile(java.lang.String file)